/*
 * @Author: zc
 * @Description: 首页
 * @version:
 * @Date: 2022-08-26 14:43:12
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-25 11:43:42
 */
import request from '/@/utils/request';

/**
 * @description: 获取我的快捷入口
 * @param {object} 
 * @return {*}
 */
 export const geFastMenu = () => {
    return request({
        url: '/api/v1/Home/get-myfastmenu',
        method: 'get',
    });
};
/**
 * @description: 获取可选快捷入口
 * @param {object} data
 * @return {*}
 */
 export const fastMenu = (data:object) => {
    return request({
        url: '/api/v1/Home/get-fastmenu',
        method: 'post',
        data
    });
};
/**
 * @description: 设置快捷入口
 * @param {object} data
 * @return {*}
 */
 export const setFastMenu = (data:object) => {
    return request({
        url: '/api/v1/Home/set-fastmenu',
        method: 'post',
        data
    });
};