/*
 * @Author: zc
 * @Description: 系统参数配置
 * @version: 
 * @Date: 2022-08-26 14:43:22
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-10 13:24:01
 */
import request from '/@/utils/request';
/**
 * @description: 获取系统参数列表
 * @param {object} params
 * @return {*}
 */
 export const getsyssettings = (params?: object) => {
	return request({
		url: '/api/v1/Setting/getsyssettings',
		method: 'get',
		params: params,
	});
};
/**
 * @description: 更新配置
 * @param {object} params
 * @return {*}
 */
 export const modifysettings = (params: object) => {
	return request({
		url: '/api/v1/Setting/modifysettings',
		method: 'post',
		data: params,
	});
};