/*
 * @Author: zc
 * @Description: 知识管理 草稿箱
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-15 10:21:44
 */
import request from '/@/utils/request';
/**
 * @description: 我的草稿箱
  @param {object} params
 * @return {*}
 */
export const mydraftslist = (params: object) => {
	return request({
		url: '/api/v1/Knowledge/mydraftslist',
		method: 'get',
        params
	});
};
/**
 * @description: 草稿箱-新增
  @param {object} data
 * @return {*}
 */
export const adddrafts = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/adddrafts',
		method: 'post',
        data
	});
};
/**
 * @description: 草稿箱-修改
  @param {object} data
 * @return {*}
 */
export const updatedrafts = (data: object) => {
	return request({
		url: '/api/v1/Knowledge/updatedrafts',
		method: 'put',
        data
	});
};
/**
 * @description: 草稿箱-查询详情
  @param {string} id
 * @return {*}
 */
  export const draftsinfo = (id: string | string[]) => {
	return request({
		url: `api/v1/Knowledge/draftsinfo/${id}`,
		method: 'get'
	});
};
/**
 * @description: 草稿箱-删除
  @param {string} id
 * @return {*}
 */
  export const removedrafts = (id: string | string[]) => {
	return request({
		url: `/api/v1/Knowledge/removedrafts?Id=${id}`,
		method: 'delete'
	});
};