/*
 * @Author: zc
 * @Description: 知识管理 规范
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-15 10:21:44
 */
import request from '/@/utils/request';
/**
 * @description: 知识编写规范查询
 * @param {object} params
 * @return {*}
 */
export const standardInfo = (params?:object) => {
	return request({
		url: '/api/v1/KnowledgeCommon/info-standard',
		method: 'get',
        params
	});
};
/**
 * @description: 知识编写规范修改
 * @param {object} data
 * @return {*}
 */
export const standardUpdate= (data:object) => {
	return request({
		url: '/api/v1/KnowledgeCommon/update-standard',
		method: 'put',
        data
	});
};