/*
 * @Author: zc
 * @Description: 通话记录
 * @version: 
 * @Date: 2022-08-26 14:43:12
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-09-29 10:20:23
 */
import request from '/@/utils/request';

/**
 * @description: 分页通话记录列表
 * @param {object} params  
 * @return {*}
 */
export const callPaged = (params?: object) => {
	return request({
		url: '/api/v1/Call/paged',
		method: 'get',
		params: params,
	});
};
/**
 * @description: 分页通话记录未接列表
 * @param {object} params 
 * @return {*}
 */
export const callPagedMissed = (params?: object) => {
	return request({
		url: '/api/v1/Call/messed-paged',
		method: 'get',
		params: params,
	});
};